Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
New Member
Posts: 1
Registered: ‎06-28-2012
My Device: Torch 9860
My Carrier: Orange UK

Old apps dont work on new blackberry

I have just changed my blackberry and now find that i cannot get apps as it is not supported on my device.I upgraded from an old blackberry torch to the new 9680. I have just updated the new softwear on it. So it should be the top of the range blackberry. If had know that this was the case, it would have been better for me and my whole family to change from blackberry's to Iphones.It is on the orange network in the UK. What can blackberry do about this? Issues with Pay Pay Nat West Barclays mobi, im sure there are others but have yet to find them Regards Michael Ashby

Hall of Famer III
Posts: 57,220
Registered: ‎11-28-2008
My Device: PRIV (6.0.1/AAF518), Z10/Z30/Q10 (10.3.2.2813), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Old apps dont work on new blackberry

Hi and Welcome to the Community!

Actually, RIM (not BlackBerry...BB's are a model, the maker is Research In Motion) has very little control over apps. The developers of the apps must port their app to every model number and OS level combination...that's a lot of porting for the developers to do. As such, some developers choose not to support every combination and instead choose a subset that they (the developer) believes will provide them their best return on investment. When they do port it to something, they (the developers) are responsible for pushing their app out to AppWorld and/or other places for users to obtain it.

In any event, since it's a "push" function, you actually need to reach out to the developers of your apps to find out if/when they intend to support your specific BB model and OS level.

Good luck!


Occam's Razor nearly always applies when troubleshooting technology issues!

New to the Community? Click here and also here for helpful guidance. Also please click here for additional helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions. If anyone has been helpful to you, please show your appreciation by clicking the button. Need a reference to BB10 OS/SR versions? Click here. Need a specific BB10 AutoLoader? Send me a private message.

...................................................... ......................................................
Highlighted
Forums Veteran III
Posts: 3,802
Registered: ‎12-29-2011
My Device: Z30 / Playbook

Re: Old apps dont work on new blackberry

I took a look at

http://appworld.blackberry.com/webstore/content/56898/?lang=en for NatWest and

http://www.barclays.co.uk/MobileBankingServices/MobileBanking/P1242561069586

for barclays.

 

I think the developers at the banks have to create apps for the later model blackberries. 

Smiley Sad

I didn't see the 9860 under supported devces for NatWest and Barclays is a web shortcut.

________________________________________________________________
Please click the Thumbs Up icon if this comment has helped you!
If your issue is resolved, please click the solution button on the resolution!
Every BlackBerry should have BlackBerry Protect, get it now! | Follow me on Twitter | Bring Back BBM Music!
________________________________________________________________